@import '../../../../assets/styles/common.scss';

.equipment-modal-form {
    padding: 0 5% 2.5rem;
}

.equipment-modal-form-item {
    display: flex;
    justify-content: flex-start;
    align-items: center;

    .mdl-textfield__label {
        &:after {
            background-color: #45adbd;
        }
    }
    
    .mdl-textfield.is-disabled .mdl-textfield__input {
        color: #000;
    }
}

.equipment-modal-form-label {
    color: rgba(0,0,0, .87);
    flex-basis: 20%;
    min-width: 180px;
}

.equipment-modal-form-autocomplete,
.equipment-modal-form-field,
.mdl-textfield.equipment-modal-form-field {
    flex-basis: calc(80% - 140px);
    min-width: 200px;
}

.equipment-modal-form-search-icon.mdl-button {
    width: 20px;
    min-width: 0;
    height: 16px;
    background: none !important;
    position: absolute;
    left: 0;
    top: 26px;
    color: rgba(0,0,0,.26);
}

.equipment-modal-form-autocomplete {
    display: flex;
    flex-wrap: nowrap;
    flex-direction: row;
    align-items: center;
    justify-content: flex-end;
    position: relative;
}

.equipment-modal-autocomplete-field,
.equipment-autocomplete-associated-field {
    width: 100%;
    .mdl-textfield__label {
        text-indent: 28px;
    }
    .mdl-textfield__input {
        padding-left: 28px;
        box-sizing: border-box;
    }
    .custom-ui-auto-complete-list {
        max-height: calc(100vh / 2 - 150px);
    }
}

.equipment-autocomplete-associated-field {
    .custom-ui-auto-complete-list {
        max-height: calc(100vh / 2 - 130px);
    }
}

.equipment-modal-form-submit-button {
    display: flex;
    text-align: right;
    white-space: nowrap;

    .equipment-modal-button {
        display: flex;
        flex-direction: row;
        align-items: center;
        justify-content: center;

        .mdl-spinner {
            .mdl-spinner__circle-clipper {
                border-color: $bgColor;
            }

            .mdl-spinner__circle-clipper,
            .mdl-spinner__layer-1,
            .mdl-spinner__layer-2,
            .mdl-spinner__layer-3,
            .mdl-spinner__layer-4 {
                border-color: darken($bgColor, 5);
            }
        }
    }
}

.equipment-modal-button {
    &.mdl-button {
        padding: 0;
        min-width: 0;
        width: 38px;
        height: 38px;
        font-size: 30px;
        line-height: normal;
        border-radius: 50%;
        transition: background-color 0.1s;
        background: $bgColor;
        color: #fff;
        margin-left: 30px;

        &:hover {
            background: rgba($bgColor, 0.45);
        }
        
        &:active {
            background: $bgColor;
            transition: none;
        }
    }
  }

@media screen and (max-width: 768px) {
    .equipment-modal-form {
        padding: 0 2% 5px;
    }
    .equipment-modal-form-item {
        flex-direction: column;
        align-items: flex-start;
    }

    .equipment-modal-form-autocomplete,
    .equipment-modal-form-field,
    .mdl-textfield.equipment-modal-form-field {
        width: 100%;
        margin-bottom: 1.5rem;
    }

    .equipment-modal-form-label {
        display: none;
    }

    .equipment-modal-form-submit-button {
        width: 100%;
        display: block;
        white-space: normal;
        margin: 1rem auto 0; 

        .equipment-modal-button {
          margin-bottom: 10px;

            &.mdl-button {
                width: 100%;
                height: 50px;
                margin-left: 0px;
                border-radius: 0px;
            }
        }
    }
    .equipment-modal-form-search-icon.mdl-button.mdl-button--icon {
        top: 18px;
        width: 16px;
        height: 20px;
        padding-left: 0;
    }
}

